DS_GET_ELEMENTS(3)

FUNCTION
ds_get_elements - Convert atomic data values to double precision complex values.

SYNOPSIS
#include <karma_ds.h>

flag ds_get_elements

(CONST char *data, unsigned int data_type, unsigned int data_stride, double *values, flag *complex, unsigned int num_values)

DESCRIPTION
Convert atomic data values to double precision complex values.

data
    The data to be converted.

data_type
    The type of the data.

data_stride
    The stride of data elements in memory (in bytes).

values
    The data values will be written here. This MUST lie on a <<double>> boundary.

complex
    TRUE is written here if the data are a complex type, else FALSE is written here. If this is NULL, nothing is written here.

num_values
    The number of data values to convert.

RETURN VALUE
TRUE if the data was successfully converted, else FALSE.

Multi-threading Level
Safe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/